<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"  %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"  %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="/ips" prefix="ips" %>
<%@ taglib uri="/wsp" prefix="wsp" %>
<%@ page  isELIgnored="false" contentType="text/html; charset=UTF-8" session="true" errorPage="/errorPage.jsp" %>
<fmt:setBundle basename="Messages" scope="request"/>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<%@ include file="/stylesheets.jsp" %>
<title><wsp:appTitle/> - <fmt:message key="sessions"/></title>
</head>

<body>
 <table class="page">
 <tr><td colspan="2"><%@ include file="/logoTd.jsp" %></td></tr>
 <tr><td class="contentw" colspan="2"><%@ include file="/titletoolbar.jsp" %></td></tr>
 <tr><td class="menu"><%@ include file="/menu.jsp" %></td>
 <td class="content">
 <h2><fmt:message key="sessions"/></h2>		 
 
<jsp:useBean id="sessDb" scope="session" class="ipsk.webapps.db.speech.SessionController" />
<ips:ctrl_process controller="${sessDb}" processMethod="allSessionsByAccount">
<ips:boolExpr/><br>
<ips:orderby/><br>
<ips:btable tableClass="db" additionalCols="_missingRecordingItems,_sessionDuration,_maxLevel" defColOrder="sessionId,project,date,script,speakers,recordingFiles,_missingRecordingItems,_maxLevel,comment,actions" beanVar="rowSession">
<ips:btcustomize/>
<!--   
<ips:col name="speakers" href="../speaker/Speakers.jsp" var="spks" hrefVar="spkLnk">
<td><c:if test="${fn:length(spks)==1}"><c:forEach items="${spks}" var="spk" end="0"><a href="<c:url value="${spkLnk}"/>"><c:out value="${spk}"/></a></c:forEach></c:if><c:if test="${fn:length(spks)!=1}"><a href="<c:url value="${spkLnk}"/>">#<c:out value="${fn:length(spks)}"/></a></c:if></td>
</ips:col>
-->

<ips:col name="script" href="../script/ScriptView.jsp"/>
<ips:col name="speakers" href="../speaker/Speakers.jsp" maxListLength="1"/>
<ips:col name="recordingFiles" href="recfiles/RecordingFiles.jsp"/>
<ips:col name="_missingRecordingItems" var="mis"  key="completeness">
<c:set var="mis" value="${sessDb.getMissingRecordingItems(rowSession)}"/>

<td style="text-align:right">
<c:choose>
<c:when test="${mis == null}">
<!--  n/a  -->
</c:when>
<c:when test="${fn:length(mis)==0}">
<fmt:message key="complete"/>
</c:when>
<c:otherwise>
<span style="color:red"><fmt:message key="items.missing"><fmt:param value="${fn:length(mis)}"/></fmt:message></span>
</c:otherwise>
</c:choose></td>
</ips:col>
<ips:col name="_sessionDuration" var="sessDur" bundle="ipsk.db.speech.PropertyNames" key="duration">
<c:set var="sessDur" value="${rowSession.sessionDuration}"/>
<td style="text-align:right;white-space: nowrap;"><c:if test="${sessDur != null}"><fmt:formatNumber value="${sessDur / 1000}" maxFractionDigits="2"/> s</c:if></td>
</ips:col>
<ips:col name="_maxLevel" var="recLevel" bundle="ipsk.db.speech.PropertyNames" key="audio.level.max.in_dB">
<c:set var="recLevel" value="${sessDb.getMaxLevel(rowSession)}"/>
<td style="text-align:right;white-space: nowrap;"><c:if test="${recLevel != null}"><wsp:audioLevelDB linearLevel="${recLevel}"/></c:if></td>
</ips:col>
<ips:btrowaction href="SessionView.jsp" name="view" />
<ips:btrowaction href="SessionDeleteRequest.jsp" name="delete_request" />
<ips:btrowaction href="SessionExport" name="export"/>
<ips:btrowaction href="${sessDb.getSpeechRecorderBaseHref(rowSession)}" name="speechrecorder.start">[<span style="white-space:nowrap"><c:choose><c:when test="${empty rowSession.script}"><fmt:message key="audiorecorder.start"/></c:when><c:otherwise><fmt:message key="speechrecorder.start"/></c:otherwise></c:choose></span>]</ips:btrowaction>
<ips:btrowaction href="SessionEdit.jsp" name="edit"/>
</ips:btable>
<ips:page_navigation/>
<ips:page_position/>
<ips:items_position/>
</ips:ctrl_process>

</td></tr>
</table>
</body>
</html>
